import pytest

import spacy
from spacy import displacy


from src.generators import Generator
from src.strategies import leaf_strategy

nlp = spacy.load("en_core_web_trf")

@pytest.mark.parametrize('text, expected', [
    ('Regex for redacted phone numbers with extra info for PlayStation', ['PhoneNumberRegex', 'RedactedPhoneNumberRegex'])
])
def test_leaf_strategy(text, expected):
    generator = Generator(text=text, strategy=leaf_strategy)

    results = generator.suggest()
    displacy.serve(docs=[generator.doc])
    doc = generator.doc
    # assert result == expected